'use strict';

angular.module('datasid.factories', []).
    factory('AvailFactory', function() {
        return {
            get: function (options, cb) {
                if (typeof options === 'function') {
                    cb = options;
                    options = {};
                }

                var level = options.level || 0,
                    type = options.type || 'pie';

                if (level <= 0) {
                    if (type === 'bar')
                        return cb({"categories":["NORTE","CENTRO-OESTE","SUL","NORDESTE","SUDESTE"],"green":[5604,6625,17339,9915,10925],"yellow":[2035,1722,3075,3617,3499],"red":[8811,7348,12064,15226,12822]});

                    else if (type == 'pie')
                        return cb({"categories":["2013-10-08"],"green":[50408],"yellow":[13948],"red":[56271]});

                    else if (type === 'hist')
                        return cb({"categories":["Maio","Junho","Julho","Agosto","Setembro","Outubro"],"green":[41500,47094,38604,44877,50819,50408],"yellow":[12589,12174,18848,8999,13314,13948],"red":[31468,36017,43707,52783,50102,56271]});
                }

                else if (level == 1) {
                    return cb({"categories":["AC","PA","RO","AM","TO","RR","AP"],"green":[552,1561,1808,591,483,240,369],"yellow":[233,836,406,316,115,33,96],"red":[993,2822,1927,1653,752,260,404]});
                }
            }
        };
    });